# 1.0 初心者的实验

## 心尺 PsychoScales

PsychoScales是2024年初开始建立的一个心理学量表网站，致力于构建一个良好的人群-研究关系。
我们的理想是，促进心理学领域的知识公开和人群研究。

PsychoScales项目起源于2024年初，我们搭建了一个基于量表的AI解读网站[PsychoScales](https://psygscales.com/)，这算是项目的初代，也是我们的一次尝试。
但是该项目存在诸多问题，如框架复杂、解读不全面等。所以我们积极地进行了技术与知识的储备，逐渐完善了PsychoScales的设计。

## 新的PsychoScales

在今年（2025）我们重新搭建了两个项目，分别是[PsychoScales](https://www.psychoscales.com/)和[PsychoScalesOrg](https://www.psychoscales.org/)。
前者提供了混合多个量表的测量方式，并提供AI的总体解读；而后者则是以量表为单位的量表展示与结果计算平台。
很幸运地，在去年底我们买到了心仪的网站地址: [psychoscales.com](https://www.psychoscales.com/)和[psychoscales.org](https://www.psychoscales.org/)，于是用在了这两个子项目上。

用户的个人信息不会被保存，唯用户的邮箱将用于用户区分。
我们保存数据用于科研，导出数据时不会包含邮箱。
用户可以随时要求我们导出数据（包括测试记录、结果及对话历史）或删除账号。

### 随机量表系统

在新的PsychoScales中，所有的量表问题（item）将被随机呈现给用户，具体机制如下：
- 用户可以选择某些tag的量表，目前按语言分tag
- 若用户有未完成的题目，则在未完成的题目中随机一个
- 若用户已完成所有题目，则在已完成的题目中按时间顺序从旧到新进行
- 用户可以选择回答或者跳过问题，但是跳过的问题仍然在未做题目中

传统的量表可能很容易被猜出测量的目的，我们希望这样的随机机制可以提供一个更加准确的测量结果。
这样的计算方式同时提供了一个时间尺度上更广泛的结果，但是对于结果的时效性我们仍然需要进一步考虑。

可能有些量表并没有被完全完成，但是部分的结果可以大体上展现用户的心理画像。
更重要的是我们获得了更加广泛的（多量表）的结果。

所有的量表问题、选项和计分机制将被保留，用于数据比较。
但是对于用户，我们将对于每个量表、子量表计均分，以进行结果统计。

### AI综合解读

用户将与AI对话，总体解读所有量表结果（均分）。
与旧的PsychoScales一样，我们的AI将包含持续更新的心理学论文与期刊订阅，以提供最专业的解读。

在接下来的版本中，我们会重新整理使用FastGPT搭建的知识库，而后尝试GraphRAG的方式。

### 积分

用户每回答一个问题将为积攒一个积分，每次对话将消耗五个积分。
我们希望激励用户持续提供最新的数据，这些数据不仅帮助AI更好地理解用户的现状并提供更准确的解读，也将激励我们继续优化PsychoScales并提供免费的AI解读。
